import type { App } from "vue";
import vue3GoogleLogin from 'vue3-google-login'
import { useBaseStoreWithOut } from "@/stores/modules/base.js";

export default async function (app: App) {
  const res = await useBaseStoreWithOut().setGlobalConfig()
  if (res.data) {
    app.use(vue3GoogleLogin, { clientId: res.data.platformConfig.google_secret_key });
  }
}